<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-MilterManager">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-MilterManager.top_of_page">MilterManager</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterManager</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-MilterManager.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>#define             <link linkend="MILTER-TYPE-MANAGER:CAPS">MILTER_TYPE_MANAGER</link>
#define             <link linkend="MILTER-MANAGER:CAPS">MILTER_MANAGER</link>                      (obj)
#define             <link linkend="MILTER-MANAGER-IS:CAPS">MILTER_MANAGER_IS</link>                   (obj)
#define             <link linkend="MILTER-MANAGER-GET-CLASS:CAPS">MILTER_MANAGER_GET_CLASS</link>            (obj)
                    <link linkend="MilterManager">MilterManager</link>;
<link linkend="MilterManager"><returnvalue>MilterManager</returnvalue></link> *     <link linkend="milter-manager-new">milter_manager_new</link>                  (<link linkend="MilterManagerConfiguration"><returnvalue>MilterManagerConfiguration</returnvalue></link> *configuration);
<link linkend="MilterManagerConfiguration"><returnvalue>MilterManagerConfiguration</returnvalue></link> * <link linkend="milter-manager-get-configuration">milter_manager_get_configuration</link>
                                                        (<link linkend="MilterManager"><returnvalue>MilterManager</returnvalue></link> *manager);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-reload">milter_manager_reload</link>               (<link linkend="MilterManager"><returnvalue>MilterManager</returnvalue></link> *manager);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-set-launcher-channel">milter_manager_set_launcher_channel</link> (<link linkend="MilterManager"><returnvalue>MilterManager</returnvalue></link> *manager,
                                                         <link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *read_channel,
                                                         <link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *write_channel);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-MilterManager.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-MilterManager.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MILTER-TYPE-MANAGER:CAPS" role="macro">
<title>MILTER_TYPE_MANAGER</title>
<indexterm zone="MILTER-TYPE-MANAGER:CAPS"><primary>MILTER_TYPE_MANAGER</primary></indexterm>
<programlisting>#define MILTER_TYPE_MANAGER            (milter_manager_get_type())
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MILTER-MANAGER:CAPS" role="macro">
<title>MILTER_MANAGER()</title>
<indexterm zone="MILTER-MANAGER:CAPS"><primary>MILTER_MANAGER</primary></indexterm>
<programlisting>#define MILTER_MANAGER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), MILTER_TYPE_MANAGER, MilterManager))
</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>obj</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MILTER-MANAGER-IS:CAPS" role="macro">
<title>MILTER_MANAGER_IS()</title>
<indexterm zone="MILTER-MANAGER-IS:CAPS"><primary>MILTER_MANAGER_IS</primary></indexterm>
<programlisting>#define MILTER_MANAGER_IS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), MILTER_TYPE_MANAGER))
</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>obj</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MILTER-MANAGER-GET-CLASS:CAPS" role="macro">
<title>MILTER_MANAGER_GET_CLASS()</title>
<indexterm zone="MILTER-MANAGER-GET-CLASS:CAPS"><primary>MILTER_MANAGER_GET_CLASS</primary></indexterm>
<programlisting>#define MILTER_MANAGER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), MILTER_TYPE_MANAGER, MilterManagerClass))
</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>obj</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MilterManager" role="struct">
<title>MilterManager</title>
<indexterm zone="MilterManager"><primary>MilterManager</primary></indexterm>
<programlisting>typedef struct {
    MilterClient object;
} MilterManager;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-manager-new" role="function">
<title>milter_manager_new ()</title>
<indexterm zone="milter-manager-new"><primary>milter_manager_new</primary></indexterm>
<programlisting><link linkend="MilterManager"><returnvalue>MilterManager</returnvalue></link> *     milter_manager_new                  (<link linkend="MilterManagerConfiguration"><returnvalue>MilterManagerConfiguration</returnvalue></link> *configuration);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>configuration</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-get-configuration" role="function">
<title>milter_manager_get_configuration ()</title>
<indexterm zone="milter-manager-get-configuration"><primary>milter_manager_get_configuration</primary></indexterm>
<programlisting><link linkend="MilterManagerConfiguration"><returnvalue>MilterManagerConfiguration</returnvalue></link> * milter_manager_get_configuration
                                                        (<link linkend="MilterManager"><returnvalue>MilterManager</returnvalue></link> *manager);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>manager</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-reload" role="function">
<title>milter_manager_reload ()</title>
<indexterm zone="milter-manager-reload"><primary>milter_manager_reload</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_reload               (<link linkend="MilterManager"><returnvalue>MilterManager</returnvalue></link> *manager);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>manager</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-set-launcher-channel" role="function">
<title>milter_manager_set_launcher_channel ()</title>
<indexterm zone="milter-manager-set-launcher-channel"><primary>milter_manager_set_launcher_channel</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_set_launcher_channel (<link linkend="MilterManager"><returnvalue>MilterManager</returnvalue></link> *manager,
                                                         <link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *read_channel,
                                                         <link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *write_channel);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>manager</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>read_channel</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>write_channel</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
